﻿using System;
using System.Windows.Data;

namespace Diagrams.Common
{
	public class PercentageConverter : IValueConverter
	{
		public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			if (parameter != null && parameter.ToString() == "Round")
			{
				return (int)((double)value * 100);
			}
			return (double)value * 100;
		}

		public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			throw new System.NotImplementedException();
		}
	}
}
