using System;
using System.Windows.Media;
using Telerik.Windows.Controls;

namespace Diagrams.Common
{
    /// <summary>
    /// 
    /// </summary>
    public sealed class SampleItem
    {
        /// <summary>
        /// Gets or sets the title.
        /// </summary>
        /// <value>The title.</value>
        public string Title { get; set; }

        /// <summary>
        /// Gets or sets the icon.
        /// </summary>
        /// <value>The icon.</value>
        public string Icon { get; set; }

        /// <summary>
        /// Gets or sets the description.
        /// </summary>
        /// <value>The description.</value>
        public string Description { get; set; }

        /// <summary>
        /// Gets or sets the run.
        /// </summary>
        /// <value>The run.</value>
        public Action<RadDiagram> Run { get; set; }

        /// <summary>
        /// Gets or sets the run command.
        /// </summary>
        /// <value>The run command.</value>
        public DelegateCommand RunCommand { get; internal set; }
    }
}